APIMembers
Change a member's role
Change a member's role. Cannot demote the last admin and cannot change your own role. Requires the admin scope.
PATCH
/members/{user_id}curl -X PATCH "https://productlane.com/api/v2/members/{user_id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"role": "ADMIN"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
user_idstringpathrequired
Body
application/json
roleenum<string>requiredOne of:ADMINUSERVIEWER
Response
application/json
Successful response
idstringrequiredemailstringrequirednamestring | nullrequiredimage_urlstring | nullrequiredroleenum<string>requiredOne of:ADMINUSERVIEWERjoined_atstringrequired
{
"id": "string",
"email": "string",
"name": "string",
"image_url": "string",
"role": "ADMIN",
"joined_at": "string"
}